# 32/64bit spec
#
%define pkgname gnupg

Summary:	GNU privacy guard - a free PGP replacement
Summary(de):	GNU Privacy Guard - ein freier PGP-Ersatz
Name:		gnupg2
Version:	2.4.4
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
URL:		http://www.gnupg.org
Source0:	ftp://ftp.gnupg.org/gcrypt/gnupg/%{pkgname}-%{version}.tar.xz
Source2:	gpg-agent.sh
Source3:	gpg-agent-xinit.sh
Source4:	sysconfig-gnupg2
Patch0:		gnupg-1.9.3-use-ImageMagick-for-photo.patch
BuildRequires:	openldap-devel
BuildRequires:	libgpg-error-devel >= 1.4
BuildRequires:	libgcrypt-devel >= 1.2.0
BuildRequires:	libassuan-devel >= 1.0.2
BuildRequires:	zlib-devel
BuildRequires:	docbook-utils
BuildRequires:	lib64readline-devel
BuildRequires:	libtermcap-devel
BuildRequires:	libcurl-devel
BuildRequires:	libusb-devel
BuildRequires:	bzip2-devel
BuildRequires:	lib64ksba-devel >= 1.0.2
BuildRequires:	gnutls-devel
BuildRequires:	lib64npth-devel
#---------------------------------------------
Requires(post):	info-install
Requires(preun): info-install
Requires:	info-install
Obsoletes:	newpg
Provides:	newpg = %{version}-%{release}
Provides:	dirmngr = %{version}-%{release}
Obsoletes:	dirmngr < %{version}
Requires:	pinentry
#Requires:	gnupg
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.


#german
%description -l de
GnuPG ist GNUs Werkzeug für sichere Kommunikation und Datenspeicherung. 
Es kann zum Verschlüsseln von Daten und zum Erstellen digitaler 
Signaturen genutzt werden. Es enthält eine fortgeschrittene 
Schlüsselverwaltungs-Einrichtung und entspricht dem in RFC 2440 
beschriebenen OpenPGP-Internet-Standard. GnuPG benutzt keine 
patentierten Algorithmen, so dass es nicht zu PGP2kompatibel sein kann, 
da dieses IDEA (welcher weltweit patentiert ist) benutzt. 


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .ImageMagick

%build
%serverbuild

./autogen.sh

%configure2_5x \
    --libexecdir=%{_libexecdir}/gnupg2 \
	--enable-g13 \
	--disable-rpath \
	--without-capabilities \
	--enable-gpg-is-gpg2


%make


%install
rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}/%{_sysconfdir}/X11/xinit.d
install %{SOURCE3} %{buildroot}/%{_sysconfdir}/X11/xinit.d/gpg-agent
install -d %{buildroot}/%{_sysconfdir}/sysconfig
install %{SOURCE4} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}


rm -rf %{buildroot}%{_datadir}/gnupg
rm -rf %{buildroot}%{_docdir}/gnupg
rm -rf %{buildroot}/%{_datadir}/doc/gnupg2/examples
rm -f %{buildroot}/usr/bin/gpgsplit

%find_lang %{name}

%post
%_install_info gnupg.info

%preun
%_remove_install_info gnupg.info

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%attr(0755,root,root) %{_sysconfdir}/X11/xinit.d/gpg-agent
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(4755,root,root) %{_bindir}/gpgsm
%{_bindir}/gpg-agent
%{_bindir}/dirmngr
%{_bindir}/dirmngr-client
%{_bindir}/gpgconf
%{_bindir}/kbxutil
%{_bindir}/watchgnupg
%{_bindir}/gpg-connect-agent
%{_bindir}/gpgparsemail
%{_bindir}/gpgscm
%{_bindir}/gpgtar
%{_bindir}/gpg2
%{_bindir}/gpgv2
%{_bindir}/gpg-wks-server
%{_sbindir}/addgnupghome
%{_sbindir}/applygnupgdefaults
%{_infodir}/gnupg.info*
%{_mandir}
%{_bindir}/gpg-card
%{_bindir}/gpg-wks-client

%dir %{_libexecdir}/gnupg2
%{_libexecdir}/gnupg2/gpg-check-pattern
%{_libexecdir}/gnupg2/gpg-preset-passphrase
%{_libexecdir}/gnupg2/gpg-protect-tool
%{_libexecdir}/gnupg2/scdaemon
%{_libexecdir}/gnupg2/dirmngr_ldap
%{_libexecdir}/gnupg2/gpg-wks-client
%{_libexecdir}/gnupg2/gpg-auth
%{_bindir}/g13
%{_libexecdir}/gnupg2/gpg-pair-tool
%{_sbindir}/g13-syshelp
%{_libexecdir}/gnupg2/keyboxd

%changelog
* Sun Jan 28 2024 tex - 2.4.4-1pclos2024
- new version

* Fri Dec 08 2023 tex - 2.4.3-1pclos2023
- new version
